import { TeDeumUtility } from "../common/tedeum-utility.js";

export const defaultItemImg = {
  arme: "systems/fvtt-te-deum/images/icons/arme_melee.webp",
  armure: "systems/fvtt-te-deum/images/icons/armure.webp",
  equipement: "systems/fvtt-te-deum/images/icons/equipement.webp",
  competence: "systems/fvtt-te-deum/images/icons/competence.webp",
  education: "systems/fvtt-te-deum/images/icons/education.webp",
  grace: "systems/fvtt-te-deum/images/icons/grace.webp",
  blessure: "systems/fvtt-te-deum/images/icons/blessure.webp",
  maladie: "systems/fvtt-te-deum/images/icons/maladie.webp",
  simple: "systems/fvtt-te-deum/images/icons/simple.webp",
}

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class TeDeumItem extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
